<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.qmth.sop.common</groupId>
    <artifactId>sop-common</artifactId>
    <version>1.1.2</version>
    <packaging>jar</packaging>

    <parent>
        <groupId>com.qmth.sop.service</groupId>
        <artifactId>sop-service</artifactId>
        <version>1.1.2</version>
    </parent>

    <dependencies>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>starter-api</artifactId>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-uid</artifactId>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-cache</artifactId>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.qmth.boot</groupId>-->
<!--            <artifactId>data-redis</artifactId>-->
<!--        </dependency>-->
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-fss</artifactId>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>tools-device</artifactId>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.qmth.boot</groupId>-->
<!--            <artifactId>tools-poi</artifactId>-->
<!--        </dependency>-->
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-solar</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-models</artifactId>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-retrofit</artifactId>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>core-sms</artifactId>
        </dependency>
        <dependency>
            <groupId>io.netty</groupId>
            <artifactId>netty-all</artifactId>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-text</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
        </dependency>
        <dependency>
            <groupId>com.qmth.boot</groupId>
            <artifactId>data-mybatis-plus</artifactId>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger2</artifactId>
        </dependency>
        <dependency>
            <groupId>io.springfox</groupId>
            <artifactId>springfox-swagger-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-fileupload</groupId>
            <artifactId>commons-fileupload</artifactId>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
        </dependency>
        <dependency>
            <groupId>net.lingala.zip4j</groupId>
            <artifactId>zip4j</artifactId>
        </dependency>
        <dependency>
            <groupId>com.aventrix.jnanoid</groupId>
            <artifactId>jnanoid</artifactId>
        </dependency>
<!--        <dependency>-->
<!--            <groupId>com.github.ulisesbocchio</groupId>-->
<!--            <artifactId>jasypt-spring-boot-starter</artifactId>-->
<!--        </dependency>-->
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpmime</artifactId>
        </dependency>
        <dependency>
            <groupId>org.dom4j</groupId>
            <artifactId>dom4j</artifactId>
        </dependency>
    </dependencies>
</project>